Kube should not download external images by default
Closed, ResolvedPublic

Description

kube from flatpak ,

When I got a spam email I have notices that kube is downloading files from the internet :
"GET" QUrl("https://.../?md5hashOfMyEmail.png:)

boriss created this task.Sep 12 2017, 4:32 PM
mbohlender moved this task from New to Triaged on the Kube: Bugs board.Sep 13 2017, 6:33 AM
mbohlender triaged this task as Normal priority.

The correct behavior would be to have some sort of visual indicator that there are external images and offer an option to download them?

boriss raised the priority of this task from Normal to Needs Triage.Sep 21 2017, 5:53 PM

yes

mbohlender moved this task from Triaged to Confirmed on the Kube: Bugs board.Oct 8 2017, 7:28 AM
mbohlender triaged this task as Normal priority.

This would be useful as counter-spam measure and in light of T8699.

I suggest we default to not loading images with a button to load images for that specific mail and a switch to change the default policy (automatically load).

We will:

  • Not download images by default
  • Add a button per message to trigger the download of messages
  • Add a switch visible in the conversation view (as floating button), to alter the global default of not downloading.

The relevant buttons will only be visible if there is an html mail with links to external resources.

cmollekopf moved this task from 0.7 to 0.8 on the Kube board.Jul 12 2018, 7:55 AM
cmollekopf edited projects, added Kube (0.8); removed Kube (0.7).
cmollekopf renamed this task from kube download external images by default to Kube should not download external images by default.Dec 25 2018, 10:41 AM
cmollekopf added a subscriber: ryanw.
cmollekopf closed this task as Resolved.Fri, Jun 7, 7:30 PM
cmollekopf claimed this task.

We no longer default to HTML mail and therefore don't download external images by default. While there certainly is room for further improvement it's good enough for now IMO